/**************************************************************************
* BOOTDRV.CMD
* Return a drive letter where OS/2 is booting from
***************************************************************************/
"@echo off"
/*------------------------------------------------------------------------*\
* Retrieve the OS/2 revision level.
\*------------------------------------------------------------------------*/
revNum = 0
if lines() > 0 then
do
    do 3
      pull revstr
/*    if word(revstr,1) = "REVISION" then */
/*    do                                  */
/*       parse var revstr . revNum        */
/*       leave                            */
/*    end                                 */
      /* Note by Keiichi: The word "REVISION" might not be */
      /* used on non-English OS/2. Instead, search for the */
      /* revision number which looks like X.YYY            */
      parse var revstr . revNum
      parse value revNum with d1 2 d2 3 d3 4 d4 5 d5
      if d2='.' & DATATYPE(d1,'N') & DATATYPE(d3,'N') & DATATYPE(d4,'N') & DATATYPE(d5,'N') then
      do
         leave
      end
    end
    if revNum = 0 then
    do
       say "***********************************************************************"
       say "* An error occurred while attempting to retrieve your OS/2 revision   *"
       say "* level. The installation program is ending.                          *"
       say "***********************************************************************"
       say
       exit
    end
end
else
do
  parse source "OS/2 COMMAND" thisCmd
  "ver /r |" thisCmd
  exit
end

Call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
Call sysloadfuncs

say
ver = SysOS2Ver()
parse var ver majorVer '.' minorVer

env='OS2ENVIRONMENT'
os2_shell=value(OS2_SHELL,,env)
bootDrv = FILESPEC("drive", os2_shell)
if bootDrv = '' then
    bootDrv = 'A:'


if majorVer > 2 then
do
      call copyMigrationFiles
      say "***********************************************************************"
      say "*                                                                     *"
      say "* Your system already contains the OS/2 Warp support for Win32s.      *"
      say "* You may now proceed with the installation of Win32s version 1.25    *"
      say "* and the TME Desktop for Windows.                                    *"
      say "*                                                                     *"
      say "***********************************************************************"
      say
end
else
do
      if minorVer < 30 then
      do
           say "***********************************************************************"
           say "*                                                                     *"
           say "* The level of OS/2 on this machine does not meet the minimum         *"
           say "* requirement for the TME Desktop for Windows.                        *"
           say "*                                                                     *"
           say "* The TME Desktop for OS/2 requires OS/2 Warp 3.0 with Fix Pak 026    *"
           say "* or higher.                                                          *"
           say "*                                                                     *"
           say "***********************************************************************"
           say
           exit
      end
      else
      do
           progman = bootDrv || "\os2\mdos\winos2\progman.exe"
           if stream(progman, 'c', 'query exists') = '' then do
                 say "***********************************************************************"
                 say "*                                                                     *"
                 say "* Your system does not have WIN-OS/2 Support installed. You must      *"
                 say "* run the OS/2 Warp Selective Install program to install WIN-OS/2     *"
                 say "* support before proceeding.                                          *"
                 say "*                                                                     *"
                 say "***********************************************************************"
                 say
                 exit
           end
           if minorVer < 40 then
           do
                if revNum >= 8.250 then
                do
                     call copyMigrationFiles
                     say "***********************************************************************"
                     say "*                                                                     *"
                     say "* The Tivoli desktop migration files have been copied to your system. *"
                     say "*                                                                     *"
                     say "* You may now proceed with the installation of Win32s version 1.25    *"
                     say "* and the TME Desktop for Windows.                                    *"
                     say "*                                                                     *"
                     say "***********************************************************************"
                     say
                end
                else
                do
                     call copyMigrationFiles
                     say "***********************************************************************"
                     say "*                                                                     *"
                     say "* The level of OS/2 on this machine does not meet the minimum         *"
                     say "* requirement for the TME Desktop for Windows.                        *"
                     say "*                                                                     *"
                     say "* The TME Desktop for OS/2 requires OS/2 Warp 3.0 with Fix Pak 026    *"
                     say "* or higher. Please see the release notes for information on how to   *"
                     say "* obtain Fix Pak 026 for OS/2 Warp 3.0 (Don't forget to also install  *"
                     say "* the TCPIP APAR fix specified in the release notes).                 *"
                     say "*                                                                     *"
                     say "***********************************************************************"
                     say
                end
           end
           else
           do
                call copyMigrationFiles
                say "***********************************************************************"
                say "*                                                                     *"
                say "* The Tivoli desktop migration files have been copied to your system. *"
                say "*                                                                     *"
                say "* You may now proceed with the installation of Win32s version 1.25    *"
                say "* and the TME Desktop for Windows.                                    *"
                say "*                                                                     *"
                say "***********************************************************************"
                say
           end
      end
end
exit


copyMigrationFiles:
   say
   say "***********************************************************************"
   say "* Copying program migration files to on your system.                  *"
   say "***********************************************************************"
   "copy TIVOLI.*" bootDrv"\OS2\INSTALL\*.*"
   if rc > 0 then
   do
      say "***********************************************************************"
      say "* An error occurred while attempting to copy files to your system     *"
      say "* The installation program is ending.                                 *"
      say "***********************************************************************"
      say
      exit
   end /* do */
   say
return

